[Alienware 17 R3, Creative CA0132, Headphone Out, Front] No sound at all

Bug #1609211 reported by adin on 2016-08-03
38
This bug affects 8 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Medium
Unassigned

Bug Description

When the headphones are plugged, they are not detected. All sound comes from the built in speakers, and none from the headphones.

The jack works on Windows.

This bug seems similar to #1184838. However, I'm posting it as the hardware is different.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: alsa-base 1.0.25+dfsg-0ubuntu5
ProcVersionSignature: Ubuntu 4.4.0-31.50-generic 4.4.13
Uname: Linux 4.4.0-31-generic x86_64
NonfreeKernelModules: nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC0D0p: adin 4035 F...m pulseaudio
 /dev/snd/controlC0: adin 4035 F.... pulseaudio
CurrentDesktop: Unity
Date: Tue Aug 2 22:59:12 2016
InstallationDate: Installed on 2016-07-03 (30 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaPlaybackTest: ALSA playback test through plughw:PCH successful
Symptom_Card: Built-in Audio - HDA Intel PCH
Symptom_DevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC0D0p: adin 4035 F...m pulseaudio
 /dev/snd/controlC0: adin 4035 F.... pulseaudio
                      adin 32107 F.... alsamixer
Symptom_Jack: Green Headphone Out, Front
Symptom_PulsePlaybackTest: PulseAudio playback test successful
Symptom_Type: No sound at all
Title: [Alienware 17 R3, Creative CA0132, Green Headphone Out, Front] No sound at all
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/07/2016
dmi.bios.vendor: Alienware
dmi.bios.version: 1.2.15
dmi.board.name: Alienware 17 R3
dmi.board.vendor: Alienware
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Alienware
dmi.chassis.version: Not Specified
dmi.modalias: dmi:bvnAlienware:bvr1.2.15:bd07/07/2016:svnAlienware:pnAlienware17R3:pvr1.2.15:rvnAlienware:rnAlienware17R3:rvrA00:cvnAlienware:ct10:cvrNotSpecified:
dmi.product.name: Alienware 17 R3
dmi.product.version: 1.2.15
dmi.sys.vendor: Alienware

adin (adin-rivera) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
jetbent (jetbent) wrote :

I also tried to modify /etc/modprobe.d/alsa-base.conf with:
options snd-hda-intel model=alienware

and

options snd-hda-intel model=dell-eq

but neither worked. These options also have a tendency to kill the sound card leaving dummy-output only. From what I can tell, the issue is sound blaster doesn't play nicely with linux

jetbent (jetbent) wrote :

Using hdajackretest to override Orange Headphone, Front side Pin ID: 0x10 with "Headphone" causes ubuntu to recognize when headphones are plugged in (correctly per original pin designation IAW windows), however, no sound output results. By default, ubuntu/alsa thinks that the original microphone port is the headphones port. Looking to redirect output of audio to microphone port.

Changed in alsa-driver (Ubuntu):
importance: Undecided → Medium
Sagar B Hathwar (sagarbhathwar) wrote :

Any idea on what is causing this problem and when we might expect a fix for this?

Since I have the necessary hardware to help in fixing this, I could try and experiment it out with any patches to the alsa drivers

Thank you

adin (adin-rivera) wrote :

Updated to Ubuntu 16.10, and the problem persists.

I believe it has to do with the proprietary drivers that come with the
Alienware. It seems that Soundblaster does not have good linux
compatibility since it's not one of their priorities.

On Thu, Oct 20, 2016 at 6:24 PM, adin <email address hidden> wrote:

> Updated to Ubuntu 16.10, and the problem persists.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1609211
>
> Title:
> [Alienware 17 R3, Creative CA0132, Headphone Out, Front] No sound at
> all
>
> Status in alsa-driver package in Ubuntu:
> Confirmed
>
> Bug description:
> When the headphones are plugged, they are not detected. All sound
> comes from the built in speakers, and none from the headphones.
>
> The jack works on Windows.
>
> This bug seems similar to #1184838. However, I'm posting it as the
> hardware is different.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.4.0-31.50-generic 4.4.13
> Uname: Linux 4.4.0-31-generic x86_64
> NonfreeKernelModules: nvidia_drm nvidia_modeset nvidia
> ApportVersion: 2.20.1-0ubuntu2.1
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/pcmC0D0p: adin 4035 F...m pulseaudio
> /dev/snd/controlC0: adin 4035 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Tue Aug 2 22:59:12 2016
> InstallationDate: Installed on 2016-07-03 (30 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64
> (20160420.1)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:PCH
> successful
> Symptom_Card: Built-in Audio - HDA Intel PCH
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/pcmC0D0p: adin 4035 F...m pulseaudio
> /dev/snd/controlC0: adin 4035 F.... pulseaudio
> adin 32107 F.... alsamixer
> Symptom_Jack: Green Headphone Out, Front
> Symptom_PulsePlaybackTest: PulseAudio playback test successful
> Symptom_Type: No sound at all
> Title: [Alienware 17 R3, Creative CA0132, Green Headphone Out, Front] No
> sound at all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 07/07/2016
> dmi.bios.vendor: Alienware
> dmi.bios.version: 1.2.15
> dmi.board.name: Alienware 17 R3
> dmi.board.vendor: Alienware
> dmi.board.version: A00
> dmi.chassis.type: 10
> dmi.chassis.vendor: Alienware
> dmi.chassis.version: Not Specified
> dmi.modalias: dmi:bvnAlienware:bvr1.2.15:bd07/07/2016:svnAlienware:
> pnAlienware17R3:pvr1.2.15:rvnAlienware:rnAlienware17R3:
> rvrA00:cvnAlienware:ct10:cvrNotSpecified:
> dmi.product.name: Alienware 17 R3
> dmi.product.version: 1.2.15
> dmi.sys.vendor: Alienware
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+
> bug/1609211/+subscriptions
>

Sagar B Hathwar (sagarbhathwar) wrote :

Just updates to kernel 4.9.2 and headphones work perfectly fine now. Bug fixed! Not sure if any older kernel version itself fixed the bug. If anyone can check that out.

Arnulf Hansen (daudlegur) wrote :

Updated to Ubuntu 16.10 x64 and the issue remains the same

jetbent (jetbent) wrote :

The sound works now but the microphone slot doesn't for me.

On Thu, Jan 26, 2017 at 9:10 PM, Arnulf Hansen <email address hidden>
wrote:

> Updated to Ubuntu 16.10 x64 and the issue remains the same
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1609211
>
> Title:
> [Alienware 17 R3, Creative CA0132, Headphone Out, Front] No sound at
> all
>
> Status in alsa-driver package in Ubuntu:
> Confirmed
>
> Bug description:
> When the headphones are plugged, they are not detected. All sound
> comes from the built in speakers, and none from the headphones.
>
> The jack works on Windows.
>
> This bug seems similar to #1184838. However, I'm posting it as the
> hardware is different.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.4.0-31.50-generic 4.4.13
> Uname: Linux 4.4.0-31-generic x86_64
> NonfreeKernelModules: nvidia_drm nvidia_modeset nvidia
> ApportVersion: 2.20.1-0ubuntu2.1
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/pcmC0D0p: adin 4035 F...m pulseaudio
> /dev/snd/controlC0: adin 4035 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Tue Aug 2 22:59:12 2016
> InstallationDate: Installed on 2016-07-03 (30 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64
> (20160420.1)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:PCH
> successful
> Symptom_Card: Built-in Audio - HDA Intel PCH
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/pcmC0D0p: adin 4035 F...m pulseaudio
> /dev/snd/controlC0: adin 4035 F.... pulseaudio
> adin 32107 F.... alsamixer
> Symptom_Jack: Green Headphone Out, Front
> Symptom_PulsePlaybackTest: PulseAudio playback test successful
> Symptom_Type: No sound at all
> Title: [Alienware 17 R3, Creative CA0132, Green Headphone Out, Front] No
> sound at all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 07/07/2016
> dmi.bios.vendor: Alienware
> dmi.bios.version: 1.2.15
> dmi.board.name: Alienware 17 R3
> dmi.board.vendor: Alienware
> dmi.board.version: A00
> dmi.chassis.type: 10
> dmi.chassis.vendor: Alienware
> dmi.chassis.version: Not Specified
> dmi.modalias: dmi:bvnAlienware:bvr1.2.15:bd07/07/2016:svnAlienware:
> pnAlienware17R3:pvr1.2.15:rvnAlienware:rnAlienware17R3:
> rvrA00:cvnAlienware:ct10:cvrNotSpecified:
> dmi.product.name: Alienware 17 R3
> dmi.product.version: 1.2.15
> dmi.sys.vendor: Alienware
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+
> bug/1609211/+subscriptions
>

Dmitry (dmozzherin) wrote :

The bug persists for me (Ubuntu 17.04, kernel 4.10.0-20-generic)

Dmitry (dmozzherin) wrote :

and update: I was able to make earphone working by starting alsamixer and setting `HP/Speaker` to `off`, and `HP/Speaker Auto Detect` to `on`. However the change does not survive a reboot

After making the required settings in alsamixer, do `sudo alsactl store 0`. This will make your settings persistent on reboot.

By the way, this bug is fixed by one of the 4.4 kernels itself in 16.04

Ricardo Ramírez (r89) wrote :

1. In terminal, enter the command "alsamixer".

2. An ASCI UI will open, use the right arrow key to find the item: "HP/speaker Auto Detect". it will say "Off" next to it.

3. Press M and the "Off" tag will disappear.

4. Re-plug your headphones.

Enjoy!

Ricardo Ramírez (r89) wrote :

I uploaded this video showing how to fix the problem:

https://www.youtube.com/watch?v=Se1NDgPhteg

Issue has returned with Kernel 4.15

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions